- Qt 6.7
- Qt Serial Bus
- C++ Classes
- TimeStamp
- Qt 6.7.0 Reference Documentation

# TimeStamp Class

class QCanBusFrame::TimeStamp

The TimeStamp class provides timestamp information with microsecond precision. More...

- List of all members, including inherited members

## Public Functions

| TimeStamp(qint64 s = 0, qint64 usec = 0)
qint64 | microSeconds() const
qint64 | seconds() const

## Static Public Members

TimeStamp | fromMicroSeconds(qint64 usec)

## Detailed Description

## Member Function Documentation

### `[constexpr noexcept]` TimeStamp::TimeStamp(qint64 s = 0, qint64 usec = 0)

Constructs a TimeStamp in seconds, s, and microseconds, usec.

Note: The TimeStamp is not normalized, i.e. microseconds greater 1000000 are not converted to seconds.

### `[static constexpr noexcept]` TimeStamp TimeStamp::fromMicroSeconds(qint64 usec)

Constructs a normalized TimeStamp from microseconds usec.

The created TimeStamp is normalized, i.e. microseconds greater 1000000 are converted to seconds.

### `[constexpr noexcept]` qint64 TimeStamp::microSeconds() const

Returns the microseconds of the timestamp.

### `[constexpr noexcept]` qint64 TimeStamp::seconds() const

Returns the seconds of the timestamp.